<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org">
<head>
    <!--CSS -->
    <link th:href="@{/css/lightpick.css}" rel="stylesheet" type="text/css">

    <!--/*/ <th:block th:include="fragments/layout :: head">
        </th:block> /*/-->

    <!--SCRIPTS-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.22.2/moment.min.js"></script>
    <script th:src="@{/js/lightpick.js}" type="text/javascript"></script>
</head>
<body>
<!--SLIDER-->
<!--<div>
    <input id="slider" type="text"/>

    <script>
        var slider = new Slider("#slider", {
            id: "slider",
            min: 0,
            max: 100,
            range: true,
            value: [3, 7]
        });
    </script>

    <style>
        #slider .slider-selection {
            background: orange;
        }
    </style>
</div>-->

<div th:fragment="rangePicker(fromName, fromValue, fromLabel, toName, toValue, toLabel)">

    <div class="row">
        <label class="col-sm-5" th:if="${fromLabel != null && fromLabel != ''}" th:for="${fromName}" th:text="${fromLabel}"></label>
        <input th:classappend="${fromLabel != null && fromLabel != ''} ? 'col-sm-7' : ''"
               th:id="${fromName}" th:name="${fromName}" class="form-control form-control-sm">
    </div>
    <div class="row">
        <label class="col-sm-5" th:if="${toLabel != null && toLabel != ''}" th:for="${toName}" th:text="${toLabel}"></label>
        <input th:classappend="${toLabel != null && toLabel != ''} ? 'col-sm-7' : ''"
               th:id="${toName}" th:name="${toName}" class="form-control form-control-sm">
    </div>

    <script th:inline="javascript">
        /*<![CDATA[*/

        new Lightpick({
            field: document.getElementById(/*[[${fromName}]]*/ ''),
            secondField: document.getElementById(/*[[${toName}]]*/ ''),
            startDate: /*[[${fromValue}]]*/ '',
            endDate: /*[[${toValue}]]*/ '',
            selectForward: true,
            format: "DD.MM.YYYY"
        });

        /*]]>*/
    </script>
</div>

<div th:fragment="singleRangePicker(name, value)">

    <input th:id="${name}" th:name="${name}" th:value="${value}" class="form-control form-control-sm" style="min-width: 167px;">

    <script th:inline="javascript">
        /*<![CDATA[*/

        new Lightpick({
            field: document.getElementById(/*[[${name}]]*/ ''),
            startDate: /*[[${value}]]*/ '',
            singleDate: false,
            format: "DD.MM.YYYY"
        });

        /*]]>*/
    </script>

</div>

<div th:fragment="datePicker(name, value, label)">

    <div class="row">
        <label class="col-sm-5" th:if="${label != null && label != ''}" th:for="${name}" th:text="${label}"></label>
        <input th:classappend="${label != null && label != ''} ? 'col-sm-7' : ''"
               th:id="${name}" th:name="${name}" th:value="${value}" class="form-control form-control-sm">
    </div>

    <script th:inline="javascript">
        /*<![CDATA[*/

        new Lightpick({
            field: document.getElementById(/*[[${name}]]*/ ''),
            startDate: /*[[${value}]]*/ '',
            format: "DD.MM.YYYY"
        });

        /*]]>*/
    </script>

</div>

</body>
</html>